from django.conf.urls import url, include
from . import views
from django.contrib.auth import urls
from django.contrib.auth import views as auth_views

app_name = 'allocation'
urlpatterns = [
    url(r'^$', views.index, name='index'),
    url(r'^submit$', views.submit, name='submit'),
    url(r'^admin$', views.admin1, name='admin1'),
    url(r'^admin/choices$', views.ChoiceListView.as_view(), name='choice_list'),
    url(r'^admin/applicants$', views.ApplicantListView.as_view(), name='applicant_list'),
    url(r'^choice/(?P<pk>\d+)$', views.ChoiceDetailView.as_view(), name='choice-detail'),
    url(r'^applicant/(?P<pk>\d+)$', views.ApplicantDetailView.as_view(), name='applicant-detail'),
    url(r'^choice/create$', views.ChoiceCreateView.as_view(), name='choice-create'),
    url(r'^choice/(?P<pk>\d+)/update$', views.ChoiceUpdate.as_view(), name='choice-update'),
    url(r'^choice/(?P<pk>\d+)/delete$', views.ChoiceDelete.as_view(), name='choice-delete'),
    url(r'^choice_make$', views.choice_make, name='choice_make'),
    url(r'^applicant_make$', views.applicant_make, name='applicant_make'),
    url(r'^button_action$', views.button_action, name='button_action'),
    #url(r'^admin/choices$', views.ChoiceListView.as_view(), name='choice_list'),
    #url(r'^admin/applicants$', views.ApplicantListView.as_view(), name='applicant_list'),

    #url(r'^login/$', auth_views.login,name='login'),
    #url(r'^logout/$', auth_views.logout, name='logout1'),
]